default:                      \
   canvas_test.exe				\
   png_to_perm.exe				\
   png_from_perm.exe				\
   perm_calc.exe				   \
   perm_key_add.exe				\
   perm_key_sub.exe				\
   permgui.exe

# --

canvas_test.exe : canvas_test.c
	gcc -Wall canvas_test.c -o $@ -liupcd -liup -lcd -lfreetype -lgdi32 -lole32 -lcomctl32 -lcomdlg32

permgui.exe : permgui.c
	gcc -Wall -Iinc -Llib permgui.c -o $@ -lgmp -liupcd -liup -lcd -lfreetype -ldllgd -lgdi32 -lole32 -lcomctl32 -lcomdlg32

png_to_perm.exe : png_to_perm.c
	gcc -Wall png_to_perm.c -o $@ -Llib -Iinc -ldllgd -lgmp

png_from_perm.exe : png_from_perm2.c
	gcc -Wall png_from_perm2.c -o $@ -Llib -Iinc -ldllgd -lgmp

perm_calc.exe : perm_calc.c
	gcc -Wall perm_calc.c -o $@ -Llib -Iinc -lgmp

perm_key_add.exe : perm_key_add.c
	gcc -Wall perm_key_add.c -o $@ -Llib -Iinc -ldllgd -lgmp

perm_key_sub.exe : perm_key_sub.c
	gcc -Wall perm_key_sub.c -o $@ -Llib -Iinc -ldllgd -lgmp

perm_to_xy.exe : perm_to_xy.c
	gcc -Wall perm_to_xy.c -o $@ -Llib -Iinc -ldllgd -lgmp
